"""
题干（问题描述）：
下述 `with` 上下文管理器能正常运行的是？


"""


class MyWithAsClass:
    def __enter__(self):
        print("__enter__")

    def __exit__(self, type, value, trace):
        print("__exit__")


def get_obj():
    return MyWithAsClass()


with get_obj():
    print("with 上下文管理")
