"""
题干（问题描述）：
爬虫代码编写中，会随机获取用户代理值，即 User-Agent，编写函数，实现随机从列表中获取 User-Agent。
"""

import random


def get_headers():
    uas = [
        "Mozilla/5.0 (compatible; Baiduspider/2.0; +http://www.baidu.com/search/spider.html)",
        "Mozilla/5.0 (compatible; Baiduspider-render/2.0; +http://www.baidu.com/search/spider.html)",
        "Baiduspider-image+(+http://www.baidu.com/search/spider.htm)",
        "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.81 YisouSpider/5.0 Safari/537.36",
    ]
    ua = random.choice(uas)
    headers = {
        "user-agent": ua
    }
    return headers

if __name__ == '__main__':
    print(get_headers())
