"""
在 Python 的 sys 模块中，exc_info() 方法也可以输出异常，假设运行目录不存在 a.txt 文件，下述代码能正确抛出字符串错误信息的是？

"""

import sys

try:
    with open('a.txt',"r") as f:
        f.read()
except:
    ex_type, ex_val, ex_stack = sys.exc_info()
    print(ex_val)